#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  totem-pl-parser-3.26.6

- Next

  yelp-xsl-42.1

- Up
- Home

# VTE-0.78.4

## Introduction to VTE

The VTE package contains a virtual terminal widget for GTK applications.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/GNOME/vte/-/archive/0.78.4/vte-0.78.4.tar.gz

- Download MD5 sum: cdfc61b7021a43841845b8fb1593d28c

- Download size: 792 KB

- Estimated disk space required: 22 MB (with tests)

- Estimated build time: 0.4 SBU (using parallelism=4; with tests)

### VTE Dependencies

#### Required

GTK-3.24.48, libxml2-2.13.6, and pcre2-10.45

#### Recommended

ICU-76.1, GnuTLS-3.8.9, GLib-2.82.5 (with GObject Introspection), GTK-4.16.12, and Vala-0.56.17

#### Optional

Gi-DocGen-2025.3

## Installation of VTE

Install VTE by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D _systemd=false   &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed -e "/docdir =/s@\$@/ 'vte-0.78.4'@" \
        -i ../doc/reference/meson.build     &&
    meson configure -D docs=true            &&
    ninja

To test the results, issue ninja test.

Now, as the `root` user:

    ninja install &&
    rm -v /etc/profile.d/vte.*

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

rm -v /etc/profile.d/vte.*: This command removes two files installed in /etc/profile.d that have no use on a LFS system.

`-D gnutls=false`: Add this switch if you do not want to enable GnuTLS support.

`-D vapi=false`: Add this switch if you do not want to enable vala bindings.

`-D gtk4=false`: Add this switch if you do not want to build the GTK-4 version of VTE.

## Contents

Installed Program: vte-2.91 and vte-2.91-gtk4
Installed Library: libvte-2.91.so and libvte-2.91-gtk4.so
Installed Directories: /usr/include/vte-2.91, /usr/include/vte-2.91-gtk4, and (optional) /usr/share/doc/vte-0.78.4

### Short Descriptions

vte-2.91 | is a test application for the VTE libraries
vte-2.91-gtk4 | is a test application for the GTK-4 version of the VTE libraries
`libvte-2.91.so` | is a library which implements a terminal emulator widget for GTK+ 3
`libvte-2.91-gtk4.so` | is a library which implements a terminal emulator widget for GTK-4

- Prev

  totem-pl-parser-3.26.6

- Next

  yelp-xsl-42.1

- Up
- Home